## org.apache.tools.ant.taskdefs
Class MacroDef.TemplateElement

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.MacroDef.TemplateElement

Enclosing class:
  MacroDef

public static class MacroDef.TemplateElement
extends java.lang.Object

A nested element for the MacroDef task.

Constructor Summary
`MacroDef.TemplateElement()`

Method Summary
`boolean` `equals(java.lang.Object obj)` equality method
`java.lang.String` `getName()`
`int` `hashCode()`
`boolean` `isOptional()`
`void` `setName(java.lang.String name)` The name of the element.
`void` `setOptional(boolean optional)` is this element optional ?

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroDef.TemplateElement

    public MacroDef.TemplateElement()

Method Detail

### setName

    public void setName(java.lang.String name)

  The name of the element.

  Parameters:
    `name` - the name of the element.

### getName

    public java.lang.String getName()

  Returns:
    the name of the element.

### setOptional

    public void setOptional(boolean optional)

  is this element optional ?

  Parameters:
    `optional` - if true this element may be left out, default is false.

### isOptional

    public boolean isOptional()

  Returns:
    the optional attribute

### equals

    public boolean equals(java.lang.Object obj)

  equality method

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - an `Object` value
  Returns:
    a `boolean` value

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.